Bug Hunting Session
Bug 87631 - Always replaces ' by ", when default language for the document is Russian
Summary: Always replaces ' by ", when default language for the document is Russian
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-23 07:38 UTC by Johannes Rohr
Modified: 2015-10-14 19:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot showing the correct setting (193.28 KB, image/png)
2014-12-23 14:08 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Rohr 2014-12-23 07:38:50 UTC
I am right now proof-reading a document with mixed English and Russian text. The default language for this particular document is Russian. Now Libreoffice shows the annoying behaviour of auto-replaced ' by " when I type. And not only when I type in Russian but also when I type in English. I cannot find any according auto-correction rule for Russian, so I am at loss about where this comes from. 
This annoying auto-correction is applied even when I type English text, so that instead of "don't" I get "don"t". The only remedy seems to be to set a different default language.

I have no idea why this is supposed to be a useful rule for Russian. There is a " key on the Russian keyboard as well, therefore auto-replacing ' with " seems kind of pointless to me.
Comment 1 sophie 2014-12-23 09:40:31 UTC
Hi, could you check under Tools > Autocorrect Options > Localized tab, the setting of the replacement for single quote? or reset them to default - Sophie
Comment 2 Urmas 2014-12-23 11:02:25 UTC
Uncheck the 'Replace single quote' options.
Comment 3 Johannes Rohr 2014-12-23 11:09:31 UTC
(In reply to Urmas from comment #2)
> Uncheck the 'Replace single quote' options.

The "Replace single quotes" option is set to replacing single quotes with single typographic quotation marks, not with double quotes. Something is clearly b0rken.
Comment 4 Urmas 2014-12-23 12:53:00 UTC
The single quotes are replaced with the inner quotes, „”.
Comment 5 sophie 2014-12-23 14:07:24 UTC
Hi, so Johannes sent me a screenshot that shows the settings and they are correct. I'm reopening the bug, the apostrophe shouldn't be change by a quotation mark be it single or double.I'll attach the screenshot. It seems that the issue comes from the mix of languages in the document. I'll test with other languages to try to confirm it. Sophie
Comment 6 sophie 2014-12-23 14:08:22 UTC
Created attachment 111219 [details]
screenshot showing the correct setting
Comment 7 Urmas 2014-12-23 14:18:57 UTC
> the apostrophe shouldn't be change by a quotation mark

Lol wut? You have a checkbox set on that screenshot: "Replace apostrophes with <default Russian> inner quotes". That is, '„' and '”'.
Comment 8 Johannes Rohr 2014-12-23 14:47:18 UTC
(In reply to Urmas from comment #7)
> > the apostrophe shouldn't be change by a quotation mark
> 
> Lol wut? You have a checkbox set on that screenshot: "Replace apostrophes
> with <default Russian> inner quotes". That is, '„' and '”'.

Please look at the screenshot. It says nothing about replacing apostrophes with default Russian inner quotes. It says that apostrophs are replaced by default *German* single quotes.

There is no way for me to access the settings for *Russian*

If I change this settings in this dialogue, it overrides the settings for all languages, even though they have different typographic rules. 

I was looking for a way to change the behaviour for Russian, but leave the replacement rules for Russian and English unchanged. And that doesn seem possible whatever I try (I even tried changing LibreOffice's interface language and regional scheme, but to no avail)
Comment 9 Johannes Rohr 2014-12-23 14:48:50 UTC
(In reply to Johannes Rohr from comment #8)
 
> I was looking for a way to change the behaviour for Russian, but leave the
> replacement rules for Russian and English unchanged.
                        ^^^^^^^^
Of course this should read "German and English"
Comment 10 Buovjaga 2015-02-24 20:29:16 UTC
Johannes: please attach an example document that shows the problem.
I've got a bug tester who could not reproduce from scratch, but would like to test with your document.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 11 QA Administrators 2015-09-04 02:56:25 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 12 QA Administrators 2015-10-14 19:48:47 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-10-14